## mingw-w64-seacas-2025.10.14-2.src.tar.zst

=== cmake/tribits/examples/RawHelloWorld/CMakeLists.txt ===
# Example of a simple project that uses raw CMake
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
project(RawHelloWorld)
enable_testing()
add_subdirectory(hello_world)
