=== packages/seacas/libraries/ioss/src/init/CMakeLists.txt ===

SET(HEADERS "")
SET(SOURCES "")

TRIBITS_SET_AND_INC_DIRS(DIR ${CMAKE_CURRENT_SOURCE_DIR})
APPEND_GLOB(HEADERS ${DIR}/*.h)
APPEND_GLOB(SOURCES ${DIR}/*.C)

TRIBITS_INCLUDE_DIRECTORIES(
  "${CMAKE_CURRENT_SOURCE_DIR}/../"
  "${CMAKE_CURRENT_BINARY_DIR}/../"
)

IF (TPL_ENABLE_Pamgen OR Trilinos_ENABLE_Pamgen )
  SET(PAMGENLIB Iopg)
ENDIF()

IF (TPL_ENABLE_Faodel)
    SET(FAODELLIB Iofaodel)
ENDIF()

IF (TPL_ENABLE_AWSSDK AND TPL_ENABLE_Cereal)
  SET(S3LIB Ios3)
ENDIF()

IF (${PACKAGE_NAME}_ENABLE_SEACASExodus)
  SET(EXODUSLIB Ioex)
ENDIF()

IF (TPL_ENABLE_CGNS)
  SET(CGNSLIB Iocgns)
ENDIF()

IF (TPL_ENABLE_ADIOS2)
  SET(ADIOS2LIB Ioad)
ENDIF()

SET(IOVISLIB Iovs)

IF (TPL_ENABLE_Catalyst2)
  SET(CATALYST2LIB Iocatalyst)
endif()

list(APPEND HEADERS
  "${CMAKE_CURRENT_BINARY_DIR}/ionit_export.h")

TRIBITS_ADD_LIBRARY(
	Ionit
	HEADERS	${HEADERS}
	SOURCES ${SOURCES}
	DEPLIBS Ioss ${EXODUSLIB}
	        Iogn Iogs Iohb Iotm Iotr ${IOVISLIB} Ionull
          ${PAMGENLIB} ${CGNSLIB} ${VISLIB} ${FAODELLIB} ${S3LIB} ${ADIOS2LIB} ${CATALYST2LIB}
)

generate_export_header(Ionit)
target_include_directories(Ionit
  PUBLIC
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>")

IF (BUILD_TESTING)
  ENABLE_TESTING()
ENDIF()
